## UIM Read Record UIM Read Record |

## Functions

QmiMessageUimReadRecordInput * | qmi_message_uim_read_record_input_new ()
QmiMessageUimReadRecordInput * | qmi_message_uim_read_record_input_ref ()
void | qmi_message_uim_read_record_input_unref ()
gboolean | qmi_message_uim_read_record_input_get_response_in_indication_token ()
gboolean | qmi_message_uim_read_record_input_set_response_in_indication_token ()
gboolean | qmi_message_uim_read_record_input_get_last_record ()
gboolean | qmi_message_uim_read_record_input_set_last_record ()
gboolean | qmi_message_uim_read_record_input_get_record ()
gboolean | qmi_message_uim_read_record_input_set_record ()
gboolean | qmi_message_uim_read_record_input_get_file ()
gboolean | qmi_message_uim_read_record_input_set_file ()
gboolean | qmi_message_uim_read_record_input_get_session_information ()
gboolean | qmi_message_uim_read_record_input_set_session_information ()
QmiMessageUimReadRecordOutput * | qmi_message_uim_read_record_output_ref ()
void | qmi_message_uim_read_record_output_unref ()
gboolean | qmi_message_uim_read_record_output_get_result ()
gboolean | qmi_message_uim_read_record_output_get_card_result ()
gboolean | qmi_message_uim_read_record_output_get_read_result ()
gboolean | qmi_message_uim_read_record_output_get_additional_read_result ()
gboolean | qmi_message_uim_read_record_output_get_response_in_indication_token ()
void | qmi_client_uim_read_record ()
QmiMessageUimReadRecordOutput * | qmi_client_uim_read_record_finish ()

## Types and Values

| QmiMessageUimReadRecordInput
| QmiMessageUimReadRecordOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageUimReadRecordInput
        ╰── QmiMessageUimReadRecordOutput

## Description

## Functions

### qmi_message_uim_read_record_input_new ()

    QmiMessageUimReadRecordInput *
    qmi_message_uim_read_record_input_new (void);

Allocates a new QmiMessageUimReadRecordInput.

#### Returns

the newly created QmiMessageUimReadRecordInput. The returned value should be freed with `qmi_message_uim_read_record_input_unref()`.

### qmi_message_uim_read_record_input_ref ()

    QmiMessageUimReadRecordInput *
    qmi_message_uim_read_record_input_ref (QmiMessageUimReadRecordInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimReadRecordInput. |

#### Returns

the new reference to `self` .

### qmi_message_uim_read_record_input_unref ()

    void
    qmi_message_uim_read_record_input_unref
                                   (QmiMessageUimReadRecordInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimReadRecordInput. |

### qmi_message_uim_read_record_input_get_response_in_indication_token ()

    gboolean
    qmi_message_uim_read_record_input_get_response_in_indication_token
                                   (QmiMessageUimReadRecordInput *self,
                                    guint32 *value_response_in_indication_token,
                                    GError **error);

Get the 'Response In Indication Token' field from `self` .

#### Parameters

self | a QmiMessageUimReadRecordInput. |
value_response_in_indication_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_uim_read_record_input_set_response_in_indication_token ()

    gboolean
    qmi_message_uim_read_record_input_set_response_in_indication_token
                                   (QmiMessageUimReadRecordInput *self,
                                    guint32 value_response_in_indication_token,
                                    GError **error);

Set the 'Response In Indication Token' field in the message.

#### Parameters

self | a QmiMessageUimReadRecordInput. |
value_response_in_indication_token | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_uim_read_record_input_get_last_record ()

    gboolean
    qmi_message_uim_read_record_input_get_last_record
                                   (QmiMessageUimReadRecordInput *self,
                                    guint16 *value_last_record,
                                    GError **error);

Get the 'Last Record' field from `self` .

#### Parameters

self | a QmiMessageUimReadRecordInput. |
value_last_record | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_uim_read_record_input_set_last_record ()

    gboolean
    qmi_message_uim_read_record_input_set_last_record
                                   (QmiMessageUimReadRecordInput *self,
                                    guint16 value_last_record,
                                    GError **error);

Set the 'Last Record' field in the message.

#### Parameters

self | a QmiMessageUimReadRecordInput. |
value_last_record | a guint16. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_uim_read_record_input_get_record ()

    gboolean
    qmi_message_uim_read_record_input_get_record
                                   (QmiMessageUimReadRecordInput *self,
                                    guint16 *value_record_record_number,
                                    guint16 *value_record_record_length,
                                    GError **error);

Get the 'Record' field from `self` .

#### Parameters

self | a QmiMessageUimReadRecordInput. |
value_record_record_number | a placeholder for the output guint16, or `NULL` if not required. |
value_record_record_length | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_uim_read_record_input_set_record ()

    gboolean
    qmi_message_uim_read_record_input_set_record
                                   (QmiMessageUimReadRecordInput *self,
                                    guint16 value_record_record_number,
                                    guint16 value_record_record_length,
                                    GError **error);

Set the 'Record' field in the message.

#### Parameters

self | a QmiMessageUimReadRecordInput. |
value_record_record_number | a guint16. |
value_record_record_length | a guint16. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_uim_read_record_input_get_file ()

    gboolean
    qmi_message_uim_read_record_input_get_file
                                   (QmiMessageUimReadRecordInput *self,
                                    guint16 *value_file_file_id,
                                    GArray **value_file_file_path,
                                    GError **error);

Get the 'File' field from `self` .

#### Parameters

self | a QmiMessageUimReadRecordInput. |
value_file_file_id | a placeholder for the output guint16, or `NULL` if not required. |
value_file_file_path | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_uim_read_record_input_set_file ()

    gboolean
    qmi_message_uim_read_record_input_set_file
                                   (QmiMessageUimReadRecordInput *self,
                                    guint16 value_file_file_id,
                                    GArray *value_file_file_path,
                                    GError **error);

Set the 'File' field in the message.

#### Parameters

self | a QmiMessageUimReadRecordInput. |
value_file_file_id | a guint16. |
value_file_file_path | a GArray of guint8 elements. A new reference to `value_file_file_path` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_uim_read_record_input_get_session_information ()

    gboolean
    qmi_message_uim_read_record_input_get_session_information
                                   (QmiMessageUimReadRecordInput *self,
                                    QmiUimSessionType *value_session_information_session_type,
                                    const gchar **value_session_information_application_identifier,
                                    GError **error);

Get the 'Session Information' field from `self` .

#### Parameters

self | a QmiMessageUimReadRecordInput. |
value_session_information_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_information_application_identifier | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_uim_read_record_input_set_session_information ()

    gboolean
    qmi_message_uim_read_record_input_set_session_information
                                   (QmiMessageUimReadRecordInput *self,
                                    QmiUimSessionType value_session_information_session_type,
                                    const gchar *value_session_information_application_identifier,
                                    GError **error);

Set the 'Session Information' field in the message.

#### Parameters

self | a QmiMessageUimReadRecordInput. |
value_session_information_session_type | a QmiUimSessionType. |
value_session_information_application_identifier | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_uim_read_record_output_ref ()

    QmiMessageUimReadRecordOutput *
    qmi_message_uim_read_record_output_ref
                                   (QmiMessageUimReadRecordOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimReadRecordOutput. |

#### Returns

the new reference to `self` .

### qmi_message_uim_read_record_output_unref ()

    void
    qmi_message_uim_read_record_output_unref
                                   (QmiMessageUimReadRecordOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimReadRecordOutput. |

### qmi_message_uim_read_record_output_get_result ()

    gboolean
    qmi_message_uim_read_record_output_get_result
                                   (QmiMessageUimReadRecordOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimReadRecordOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_message_uim_read_record_output_get_card_result ()

    gboolean
    qmi_message_uim_read_record_output_get_card_result
                                   (QmiMessageUimReadRecordOutput *self,
                                    guint8 *value_card_result_sw1,
                                    guint8 *value_card_result_sw2,
                                    GError **error);

Get the 'Card result' field from `self` .

#### Parameters

self | a QmiMessageUimReadRecordOutput. |
value_card_result_sw1 | a placeholder for the output guint8, or `NULL` if not required. |
value_card_result_sw2 | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_uim_read_record_output_get_read_result ()

    gboolean
    qmi_message_uim_read_record_output_get_read_result
                                   (QmiMessageUimReadRecordOutput *self,
                                    GArray **value_read_result,
                                    GError **error);

Get the 'Read Result' field from `self` .

#### Parameters

self | a QmiMessageUimReadRecordOutput. |
value_read_result | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_uim_read_record_output_get_additional_read_result ()

    gboolean
    qmi_message_uim_read_record_output_get_additional_read_result
                                   (QmiMessageUimReadRecordOutput *self,
                                    GArray **value_additional_read_result,
                                    GError **error);

Get the 'Additional Read Result' field from `self` .

#### Parameters

self | a QmiMessageUimReadRecordOutput. |
value_additional_read_result | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_uim_read_record_output_get_response_in_indication_token ()

    gboolean
    qmi_message_uim_read_record_output_get_response_in_indication_token
                                   (QmiMessageUimReadRecordOutput *self,
                                    guint32 *value_response_in_indication_token,
                                    GError **error);

Get the 'Response In Indication Token' field from `self` .

#### Parameters

self | a QmiMessageUimReadRecordOutput. |
value_response_in_indication_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_client_uim_read_record ()

    void
    qmi_client_uim_read_record (QmiClientUim *self,
                                QmiMessageUimReadRecordInput *input,
                                guint timeout,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Asynchronously sends a Read Record request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_read_record_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
input | a QmiMessageUimReadRecordInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_uim_read_record_finish ()

    QmiMessageUimReadRecordOutput *
    qmi_client_uim_read_record_finish (QmiClientUim *self,
                                       GAsyncResult *res,
                                       GError **error);

Finishes an async operation started with `qmi_client_uim_read_record()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_read_record()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimReadRecordOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_read_record_output_unref()`.

## Types and Values

### QmiMessageUimReadRecordInput

    typedef struct _QmiMessageUimReadRecordInput QmiMessageUimReadRecordInput;

The QmiMessageUimReadRecordInput structure contains private data and should only be accessed using the provided API.

### QmiMessageUimReadRecordOutput

    typedef struct _QmiMessageUimReadRecordOutput QmiMessageUimReadRecordOutput;

The QmiMessageUimReadRecordOutput structure contains private data and should only be accessed using the provided API.